Newer Version Available
Charts Geodata List Resource
- Resource URL
-
1/eclair/geodata - Formats
- JSON
- Available Version
- 38.0
- HTTP Methods
- GET POST
- GET Request Parameters
-
Parameter Name Type Description Required or Optional Available Version page Int The page number you want to view. 38.0 pageSize Int How many items you want to view on each page, up to 500. 38.0 - GET Response Body
- GeoDataCollectionRepresentation
- POST Request Parameters
-
Parameter Name Type Description Required or Optional Available Version geoDataFile Binary The geojson file you want to upload. 39.0 geoDataObject Object (GeoDataInputRepresentation) List of all relevant information about the GeoData, i.e. { "label": "My GeoData" }. 39.0 - POST Request Body
- GeoDataInputRepresentation
- POST Response Body
- GeoDataRepresentation
- GeoDataCollectionRepresentation
-
Property Name Type Description Filter Group and Version Available Version geoData GeoDataRepresentation[] A list of the geodata. Small, 38.0 38.0 - GeoDataRepresentation
-
Property Name Type Description Filter Group and Version Available Version id String The ID of this geo data record. Small, 38.0 38.0 label String The user set name for the geo data. Small, 38.0 38.0 name String The developer name for the geo data. Small, 38.0 38.0 namespace String The namespace of the geo data. Small, 39.0 39.0 type ConnectEclairGeoDataTypeEnum The type of geo data (currently just GeoJSON). Small, 38.0 38.0 url String The url to retrieve the geodata. Small, 38.0 38.0 - GeoDataInputRepresentation
-
Property Name Type Description Required or Optional Available Version label String Sets the GeoData label. 39.0 name String Sets the GeoData developer name. 39.0 - Example curl request to create a geodata resource from a GeoJson file
-
1curl -H "X-PrettyPrint: 1" \ 2 -F 'json={"label": "GeoJsonLabel","name": "<developer_name>"};type=application/json' \ 3 -F "geoDataFile=@YourGeonJsonFile.json" \ 4 -X POST \ 5 https://yourinstanceurl/services/data/v39.0/eclair/geodata \ 6 -H 'Authorization: OAuth Oauth Token' - Example Response Body
-
1{ 2 "id" : "05oP0000000000LIAQ", 3 "label" : "GeoJsonLabel", 4 "name" : "<developer_name>", 5 "type" : "geojson", 6 "url" : "/services/data/v39.0/eclair/geodata/05oP0000000000LIAQ/file" 7}